package com.yinlihupo.enlish.service.service;


import com.yinlihupo.enlish.service.domain.dataobject.StudentDO;
import com.yinlihupo.enlish.service.model.bo.StudentDetail;
import com.yinlihupo.enlish.service.model.bo.exam.WordMasteryDetail;
import com.yinlihupo.enlish.service.model.vo.student.AddStudentReqVO;

import java.util.List;

public interface StudentService {

    List<StudentDO> getStudentsByClassIdAndGradeId(Integer classId, Integer gradeId, String name, Integer pageNo, Integer pageSize);

    int getAllStudents();

    StudentDO getStudentById(Integer studentId);

    List<StudentDetail> getStudentDetailList(List<Integer> studentIdList);

    void addStudent(AddStudentReqVO addStudentReqVO);

    void deleteStudent(Integer studentId);

    String analyzeStudentStudy(Integer studentId);

    List<WordMasteryDetail> findStudentWordMasteryDetail(Integer studentId);
}
